If it looks like Bizversity is out to lunch, it may be that your phone needs updating. 

Bizversity requires iOS 8.0 or later to work. Check on your device under Settings – General – About and look at Version to see it is operating with 8.0 or above. 

Bizversity is compatible with iPhone, iPad and iPod Touch.

Did this answer your question?